#if !defined(AFX_READPAGE_H__D000A939_F97B_42AF_8AD8_015E81388143__INCLUDED_)
#define AFX_READPAGE_H__D000A939_F97B_42AF_8AD8_015E81388143__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ReadPage.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CReadPage dialog

class CReadPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CReadPage)

// Construction
public:
	CReadPage();
	~CReadPage();

// Dialog Data
	//{{AFX_DATA(CReadPage)
	enum { IDD = IDD_READPAGE };
	CComboBox	m_InCombo;
	BOOL	m_RemoveFaces;
	BOOL	m_ShowReadMessages;
	BOOL	m_TextureMatch;
	CString	m_Red;
	CString	m_Green;
	CString	m_Blue;
	CString	m_DxfRed;
	CString	m_DxfPen;
	CString	m_DxfGreen;
	CString	m_DxfBlue;
	BOOL	m_RemoveVertices;
	BOOL	m_DxfOn;
	BOOL	m_VrmlByChiefArchitect;
	int		m_VrmlText_Group;
	int		m_DxfText_Group;
	BOOL	m_DisplayBackgroundImage;
	BOOL	m_TextureSearch;
	BOOL	m_DisplayOglDebugMsgs;
	CString	m_RevolveCameraX;
	CString	m_RevolveCameraY;
	CString	m_RevolveCameraZ;
	CString	m_RevolveCameraSeconds;
	BOOL	m_AlwaysShowCameraCursor;
	BOOL	m_GrabKeyboardFocus;
	CString	m_RotateCameraSimulateX;
	CString	m_RotateCameraSimulateY;
	CString	m_RotateCameraSimulateSeconds;
  BOOL m_ShowDebugStopMessages;
  BOOL m_PauseAtOglSnapshotMsg;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CReadPage)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CReadPage)	
	afx_msg void OnRemovefaces();
	afx_msg void OnRead();
	afx_msg void OnBufferread();
	afx_msg void OnShowsecurity();
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeIncombo();	
	afx_msg void OnShowreadmessages();
	afx_msg void OnTexturematch();
	afx_msg void OnColorpicker();
	afx_msg void OnGetdxfpen();
	afx_msg void OnRemovevertices();	
	afx_msg void OnVrmlbychiefarchitect();
	afx_msg void OnVrmltextno();
	afx_msg void OnVrmltextflat();
	afx_msg void OnVrmltextextruded();
	afx_msg void OnDxftextno();
	afx_msg void OnDxftextflat();
	afx_msg void OnDxftextextruded();
	afx_msg void OnDisplaybackgroundimage();
	afx_msg void OnSelectbackgroundimage();
	afx_msg void OnReadandrotate();
	afx_msg void OnTexturesearch();
	afx_msg void OnDisplayogldebugmsgs();
	afx_msg void OnShowstatusbar();
	afx_msg void OnHidestatusbar();
	afx_msg void OnRevolvecamerastart();
	afx_msg void OnRevolvecamerastop();
	afx_msg void OnGrabkeyboardfocus();
	afx_msg void OnAlwaysshowcameracursor();
	afx_msg void OnRotatecamerasimulatestart();
	afx_msg void OnRotatecamerasimulatestop();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
		
	CBitmapButton ColorPickerButton;

	void GetEditRGB();
	void SetEditRGB();

	float red;
	float green;
	float blue;
public:
  afx_msg void OnBnClickedShowdebugstopmessages();
  afx_msg void OnBnClicked_PauseAtOglSnapshotMsg();
  afx_msg void OnBnClickedCheckfixtransparecies();
  BOOL m_CheckFixTransparencies;
  BOOL m_KmzInputModelFactors;
  afx_msg void OnBnClickedKmzinputmodelfactors();
  BOOL m_VrmlMiterJointExtrusion;
  afx_msg void OnBnClicked_VrmlMiterJointExtrusion();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_READPAGE_H__D000A939_F97B_42AF_8AD8_015E81388143__INCLUDED_)
